﻿@* DXCOMMENT: Configure GridView *@
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using System.Web.UI.WebControls;
@Html.DevExpress().GridView(
    settings =>
    {
        settings.Name = "GvPEB";
        settings.KeyFieldName = "PEB_SEQ; INVOICE_NO; REGISTER_NO";
        settings.CallbackRouteValues = new { Controller = "PEBTAM", Action = "PEBCallBack" };
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.ControlStyle.Paddings.Padding = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
        settings.ControlStyle.BorderBottom.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(1);

        //DIGUNAKAN UNTUK PEMANGGILAN SEARCH DATA
        settings.ClientSideEvents.BeginCallback = "onBeginCallbackPEB";
        settings.ClientSideEvents.EndCallback = "OnEndCallbackPEB";

        settings.CommandColumn.Visible = true;
        settings.CommandColumn.Width = System.Web.UI.WebControls.Unit.Pixel(30);
        settings.CommandColumn.ShowSelectCheckbox = true;
        settings.ClientSideEvents.SelectionChanged = "GvPEB_SelectionChanged";

        settings.SettingsEditing.Mode = GridViewEditingMode.Inline;

        settings.SettingsPager.Visible = true;
        settings.Settings.ShowFilterRowMenu = false;
        settings.Settings.ShowFilterRow = false;

        settings.SettingsPager.FirstPageButton.Visible = true;
        settings.SettingsPager.LastPageButton.Visible = true;
        settings.SettingsPager.ShowNumericButtons = true;
        settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
        settings.SettingsPager.PageSizeItemSettings.Visible = true;
        settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "10", "25", "50", "100" };
        settings.SettingsPager.PageSize = 10;
        settings.SettingsPager.PageSizeItemSettings.Caption = "View per page";

        settings.Settings.VerticalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.HorizontalScrollBarMode = ScrollBarMode.Auto;
        settings.Settings.VerticalScrollableHeight = 420;

        //settings.EncodeHtml = false;

        settings.Width = 1330;
        settings.CommandColumn.FixedStyle = GridViewColumnFixedStyle.Left;

        settings.CommandColumn.SetHeaderTemplateContent(c =>
        {
            if (c.Column.VisibleIndex == 0)
            {
                Html.DevExpress().CheckBox(
                    chckBox =>
                    {
                        chckBox.Name = "chckBox";
                        chckBox.Properties.ClientSideEvents.CheckedChanged = "function(s, e){ GvPEB.SelectAllRowsOnPage(chckBox.GetChecked());}";
                    }
                ).Render();
            }
        }
        );
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "PEB_SEQ";
                column.Caption = "PEB Seq";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.Width = Unit.Pixel(60);
                column.FixedStyle = GridViewColumnFixedStyle.Left;
                column.SetDataItemTemplateContent(container =>
                {
                    Html.DevExpress().HyperLink(hlSettings =>
                    {
                        hlSettings.Name = string.Format("hl_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                        hlSettings.NavigateUrl = "javascript:void(0)";
                        hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e){{OnHyperLinkClick('{0}');}}", (container as GridViewDataItemTemplateContainer).KeyValue.ToString().Split('|')[0]);
                        hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).Text.ToString();
                    }).Render();
                });
            });
        settings.Columns.Add(
             column =>
             {
                 column.FieldName = "REGISTER_NO";
                 column.Caption = "Register No";
                 column.CellStyle.Wrap = DefaultBoolean.True;
                 column.ColumnType = MVCxGridViewColumnType.TextBox;
                 column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                 column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                 column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                 column.Width = Unit.Pixel(80);

                 column.FixedStyle = GridViewColumnFixedStyle.Left;
                 column.HeaderStyle.Wrap = DefaultBoolean.True;
             });
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "REGISTER_DT";
                column.Caption = "Register Date";
                column.Width = Unit.Pixel(90);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.DateEdit;
                column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.FixedStyle = GridViewColumnFixedStyle.Left;
            });
        settings.Columns.Add(
           column =>
           {
               column.FieldName = "PACKING_COMPANY";
               column.Caption = "Packing Company";
               column.CellStyle.Wrap = DefaultBoolean.True;
               column.HeaderStyle.Wrap = DefaultBoolean.True;
               column.ColumnType = MVCxGridViewColumnType.TextBox;
               column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
               column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
               column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
               column.Width = Unit.Pixel(100);
               column.FixedStyle = GridViewColumnFixedStyle.Left;
           });
        settings.Columns.Add(
           column =>
           {
               column.FieldName = "INVOICE_NO";
               column.Caption = "Invoice No";
               column.CellStyle.Wrap = DefaultBoolean.True;
               column.ColumnType = MVCxGridViewColumnType.TextBox;
               column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
               column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
               column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
               column.Width = Unit.Pixel(90);
               column.FixedStyle = GridViewColumnFixedStyle.Left;
           });
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "INVOICE_DT";
                column.Caption = "Invoice Date";
                column.Width = Unit.Pixel(90);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.DateEdit;
                column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.FixedStyle = GridViewColumnFixedStyle.Left;
            });
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "ETD";
                column.Caption = "ETD";
                column.Width = Unit.Pixel(90);
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.DateEdit;
                column.PropertiesEdit.DisplayFormatString = "dd.MM.yyyy";
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.FixedStyle = GridViewColumnFixedStyle.Left;
            });
        settings.Columns.Add(
            column =>
            {
                column.FieldName = "VESSEL";
                column.Caption = "Vessel";
                column.CellStyle.Wrap = DefaultBoolean.True;
                column.ColumnType = MVCxGridViewColumnType.TextBox;
                column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                column.Width = Unit.Pixel(200);
            });
        settings.Columns.Add(
              column =>
              {
                  column.FieldName = "FOB_AMOUNT";
                  column.Caption = "FOB Amount";
                  column.CellStyle.Wrap = DefaultBoolean.True;
                  column.ColumnType = MVCxGridViewColumnType.TextBox;
                  column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                  column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                  column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                  column.Width = Unit.Pixel(130);
                  column.PropertiesEdit.DisplayFormatString = "##,##0.000";
                  column.HeaderStyle.Wrap = DefaultBoolean.True;
              });
        settings.Columns.Add(
              column =>
              {
                  column.FieldName = "TOTAL_CASE";
                  column.Caption = "Total Case";
                  column.CellStyle.Wrap = DefaultBoolean.True;
                  column.ColumnType = MVCxGridViewColumnType.TextBox;
                  column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                  column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                  column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                  column.Width = Unit.Pixel(100);
                  column.HeaderStyle.Wrap = DefaultBoolean.True;
              });
        settings.Columns.Add(
              column =>
              {
                  column.FieldName = "TOTAL_GROSS_WEIGHT";
                  column.Caption = "Total Gross Weight";
                  column.CellStyle.Wrap = DefaultBoolean.True;
                  column.ColumnType = MVCxGridViewColumnType.TextBox;
                  column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                  column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                  column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                  column.Width = Unit.Pixel(130);
                  column.PropertiesEdit.DisplayFormatString = "####0.0";
                  column.HeaderStyle.Wrap = DefaultBoolean.True;
              });
        settings.Columns.Add(
             column =>
             {
                 column.FieldName = "TOTAL_NET_WEIGHT";
                 column.Caption = "Total Net Weight";
                 column.Width = Unit.Pixel(150);
                 column.CellStyle.Wrap = DefaultBoolean.True;
                 column.ColumnType = MVCxGridViewColumnType.TextBox;
                 column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                 column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                 column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                 column.PropertiesEdit.DisplayFormatString = "####0.0";
                 column.HeaderStyle.Wrap = DefaultBoolean.True;
             });
        settings.Columns.Add(
             column =>
             {
                 column.FieldName = "TOTAL_QTY";
                 column.Caption = "Total Qty";
                 column.CellStyle.Wrap = DefaultBoolean.True;
                 column.ColumnType = MVCxGridViewColumnType.TextBox;
                 column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                 column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                 column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                 column.Width = Unit.Pixel(80);
                 column.HeaderStyle.Wrap = DefaultBoolean.True;
             });
        settings.Columns.Add(
             column =>
             {
                 column.FieldName = "PROCESS_STATUS";
                 column.Caption = "Process Status";
                 column.CellStyle.Wrap = DefaultBoolean.True;
                 column.ColumnType = MVCxGridViewColumnType.TextBox;
                 column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                 column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                 column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                 column.Width = Unit.Pixel(110);
                 column.HeaderStyle.Wrap = DefaultBoolean.True;
             });
        settings.Columns.Add(
             column =>
             {
                 column.FieldName = "SEND_STATUS";
                 column.Caption = "Sending Status";
                 column.CellStyle.Wrap = DefaultBoolean.True;
                 column.ColumnType = MVCxGridViewColumnType.TextBox;
                 column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Right;
                 column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
                 column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                 column.Width = Unit.Pixel(110);
                 column.HeaderStyle.Wrap = DefaultBoolean.True;
             });
        //settings.Columns.Add(
        //   column =>
        //   {
        //       column.Caption = "PROCESS";
        //       column.FieldName = "PEB_SEQ";
        //       column.CellStyle.Wrap = DefaultBoolean.True;
        //       column.CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
        //       column.CellStyle.VerticalAlign = System.Web.UI.WebControls.VerticalAlign.Middle;
        //       column.HeaderStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
        //       column.Width = Unit.Pixel(80);
        //       //column.FixedStyle = GridViewColumnFixedStyle.Left;
        //       column.SetDataItemTemplateContent(container =>
        //       {
        //           Html.DevExpress().HyperLink(hlSettings =>
        //           {
        //               hlSettings.Name = string.Format("h2_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
        //               hlSettings.NavigateUrl = "javascript:void(0)";
        //               hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e){{OnHyperLinkProcessClick('{0}');}}", (container as GridViewDataItemTemplateContainer).KeyValue.ToString());
        //               hlSettings.Properties.Text = "PROCESS";
        //           }).Render();
        //       });
        //   });

        //setting visible update-cancel button di gridview saat add
        settings.CommandButtonInitialize = (object sender, ASPxGridViewCommandButtonEventArgs e) =>
        {
            if (e.ButtonType == ColumnCommandButtonType.Update)
            {
                e.Visible = false;
            }
            if (e.ButtonType == ColumnCommandButtonType.Cancel)
            {
                e.Visible = false;
            }
        };

    }).Bind(Model).GetHtml()
